PETSc version 3.17.4
Fix/Edit manual page

# MatQRFactorSymbolic

Performs symbolic QR factorization of matrix. Call this routine before calling MatQRFactorNumeric().

### Synopsis

    #include "petscmat.h"
    PetscErrorCode MatQRFactorSymbolic(Mat fact,Mat mat,IS col,const MatFactorInfo *info)

Collective on Mat

### Input Parameters

| fact | - the factor matrix obtained with MatGetFactor()
| mat | - the matrix
| col | - column permutation
| info | - options for factorization, includes

             fill - expected fill as ratio of original fill.

             dtcol - pivot tolerance (0 no pivot, 1 full column pivoting)

                      Run with the option -info to determine an optimal value to use

Most users should employ the simplified KSP interface for linear solvers instead of working directly with matrix algebra routines such as this. See, e.g., KSPCreate().

### See Also

MatQRFactor(), MatQRFactorNumeric(), MatLUFactor(), MatFactorInfo, MatFactorInfoInitialize()

Developer Note: fortran interface is not autogenerated as the f90 interface definition cannot be generated correctly [due to MatFactorInfo]

### Level

developer

### Location

src/mat/interface/matrix.c

### Implementations

MatQRFactorSymbolic_SPQR in src/mat/impls/aij/seq/spqr/aijspqr.c
MatQRFactorSymbolic_SeqDense in src/mat/impls/dense/seq/dense.c
Index of all Mat routines
Table of Contents for all manual pages
Index of all manual pages